Tobias thanks!

I ran panda install HTTP::Easy
and it installed the new version in
/Users/gabor/rakudo-star-2015.09/install/share/perl6/site/lib/HTTP/Easy.pm6

but Rakudo is still loading the old one from

/Users/gabor/rakudo-star-2015.09/install/share/perl6/lib/HTTP/Easy.pm6

and crashing.

I can run

perl6 -I /Users/gabor/rakudo-star-2015.09/install/share/perl6/site/lib/
examples/app.pl

and then it works, but is there something else I should have done to make
rakudo look
for the site module before the one in the old place or to let panda install
over the top of
the old version? Oh and there is also a  .moarvm version of the file.

regards
  Gabor


On Sat, Sep 26, 2015 at 3:37 PM, Tobias Leich <em...@froggs.de> wrote:

> You need to upgrade HTTP::Easy, it already contains a fix.
>
>
> Am 26.09.2015 um 12:26 schrieb Gabor Szabo:
>
> And just to clarify launching this simple script (and then accessing it
> via a browser) would show the same problem:
>
> use lib 'lib';
>
> use Bailador;
>
> get '/' => sub {
>     "hello world"
> }
>
> baile;
>
>
> On Sat, Sep 26, 2015 at 1:16 PM, Gabor Szabo <ga...@szabgab.com> wrote:
>
>> In the cloned repository of Bailador I ran
>>
>> perl6 examples/app.pl
>>
>> It launched the web server printing
>>
>> Entering the development dance floor: <http://0.0.0.0:3000>
>> http://0.0.0.0:3000
>> [2015-09-26T10:04:46Z] Started HTTP server.
>>
>> but when I tried to access it with a browser it crashed with:
>>
>> [2015-09-26T10:04:49Z] GET / HTTP/1.1
>> Method 'send' not found for invocant of class 'IO::Socket::INET'
>>   in method run at
>> /Users/gabor/rakudo-star-2015.09/install/share/perl6/lib/HTTP/Easy.pm6:193
>>   in sub baile at /Users/gabor/work/Bailador/lib/Bailador.pm:153
>>   in block <unit> at examples/app.pl:38
>>
>>
>> Any idea what's this and how to fix it?
>>
>> Oh and I found the INET module here:
>> /Users/gabor/rakudo-star-2015.09//rakudo/src/core/IO/Socket/INET.pm
>> it does not even seem to be "installed".
>>
>>
>> regards
>>     Gabor
>>
>>
>
>

Reply via email to